package com.schisandra.system.infra.basic.service;

import com.schisandra.system.infra.basic.entity.SchisandraSysLog;

/**
 *  表服务接口
 *
 * @author landaiqing
 * @since 2024-05-12 14:21:42
 */
public interface SchisandraSysLogService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    SchisandraSysLog queryById(Long id);

    /**
     * 新增数据
     *
     * @param schisandraSysLog 实例对象
     * @return 实例对象
     */
    int insert(SchisandraSysLog schisandraSysLog);

    /**
     * 修改数据
     *
     * @param schisandraSysLog 实例对象
     * @return 实例对象
     */
    int update(SchisandraSysLog schisandraSysLog);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);


}
